×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    Dec 2005
    Posts
    45

    Tools to Install for Development for a S60 3rd Edition FP1 Devices

    Hiya Folks,

    I have a couple of older phones that I want to write a couple of small apps for. Most notably, a four year old E90 Communicator. The target devices are S60 3rd Edition FP1 devices. I have an older computer that I want to install the tools on.
    I started to install the S60 FP1 device and Carbide.C++ v1.3. Then I remembered what a hassle they were to use and deal with. I want to see what the newest versions of tools I can squeak by with.

    My questions are:
    1. What is the most recent version of the S60 SDK I can use to build for the devices?
    2. What is the most recent version of Carbide I can use to build for the devices?
    3. Aside from the SDK and the IDE, what are suggested tools that I should install to build for the devices.



    Thanx
    I Never *Try* Anything.

    I Just Do It.

  2. #2
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,673

    Re: Tools to Install for Development for a S60 3rd Edition FP1 Devices

    1. S60 3rd FP1 SDK, available from Resources above, Tools and downloads, Tools archive, S60 Platform SDKs for Symbian OS, for C++
    For the E90 you may want to download the E-Series plugin, Resources above, Tools and downloads, Find more tools, Tools for Symbian C++ development, and you will see a large table with the plug-ins.

    2. Carbide.c++ 2.7

    3. You will need Perl 5.6.1 635. Unfortunately it is not available from ActivePerl any more, but you can get some ideas from the related sticky in this (Symbian Tools & SDKs) board. In short: it can be digged out from archive.org, and it is bundled with the latest SDK (Symbian^3)
    For configuring the emulator, you will also need a Java runtime.

  3. #3
    Registered User
    Join Date
    Dec 2005
    Posts
    45

    Re: Tools to Install for Development for a S60 3rd Edition FP1 Devices

    Wizard,

    Got everything and verifying installation now.

    Thank you for the info.


    -V-
    I Never *Try* Anything.

    I Just Do It.

Similar Threads

  1. Replies: 3
    Last Post: 2011-07-14, 09:59
  2. App. development for a subset of S60 3rd edition devices
    By acl_symbian in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 5
    Last Post: 2009-09-07, 07:42
  3. Replies: 21
    Last Post: 2009-06-17, 18:44
  4. is separate signing required for 3rd Edition FP1 and FP2 devices
    By jeetu_basai in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 4
    Last Post: 2008-10-22, 06:00
  5. Test tools for s60 3rd edition ?
    By forester404 in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 4
    Last Post: 2007-08-30, 03:53

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×